[PATCH 1/2] tools/make_pip.sh: Use debian packages instead of pip
Simon Glass
sjg at chromium.org
Tue Apr 29 15:15:05 CEST 2025
Recent distros complain about using 'pip install'. Adjust the script to
use 'apt get' instead where possible/required (e.g. with Ubuntu 24.04).
Signed-off-by: Simon Glass <sjg at chromium.org>
---
scripts/make_pip.sh | 6 ++++--
1 file changed, 4 insertions(+), 2 deletions(-)
diff --git a/scripts/make_pip.sh b/scripts/make_pip.sh
index d2639ffd6e4..90756279770 100755
--- a/scripts/make_pip.sh
+++ b/scripts/make_pip.sh
@@ -107,8 +107,10 @@ mkdir ${dir}/tests
cd ${dir}
# Make sure the tools are up to date
-python3 -m pip install --upgrade build
-python3 -m pip install --upgrade twine
+if ! sudo apt install python3-build twine; then
+ python3 -m pip install --upgrade build
+ python3 -m pip install --upgrade twine
+fi
# Build the PyPi package
python3 -m build
--
2.43.0
base-commit: 0312b271dd6dff8ca6d60c53ab028af526c45dde
branch: patb
More information about the U-Boot
mailing list